random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.Weibull

# Documentation

data Weibull a Source #

Constructors

Weibull |

Fields

- weibullLambda :: !a
- weibullK :: !a

#### Instances

Instances details

(Real a, Distribution Weibull a) => CDF Weibull a Source # |
Instance details Defined in Data.Random.Distribution.Weibull Methods cdf :: Weibull a -> a -> Double Source #
(Floating a, Distribution StdUniform a) => Distribution Weibull a Source # |
Instance details Defined in Data.Random.Distribution.Weibull Methods rvar :: Weibull a -> RVar a Source # rvarT :: forall (n :: Type -> Type). Weibull a -> RVarT n a Source #
Show a => Show (Weibull a) Source # |
Instance details Defined in Data.Random.Distribution.Weibull Methods showsPrec :: Int -> Weibull a -> ShowS Source # show :: Weibull a -> String Source # showList :: [Weibull a] -> ShowS Source #
Eq a => Eq (Weibull a) Source # |
Instance details Defined in Data.Random.Distribution.Weibull Methods (==) :: Weibull a -> Weibull a -> Bool Source # (/=) :: Weibull a -> Weibull a -> Bool Source #